[Distutils] darwin Python 2.1 problem

Robin Becker robin at jessikat.fsnet.co.uk
Sat Oct 25 13:23:47 EDT 2003


In article <06D1C81B-0700-11D8-9DA8-000A95686CD8 at redivi.com>, Bob
Ippolito <bob at redivi.com> writes
......
>> Is there any way to make static library builds do a ranlib? Some Mac
>> users say there's a problem with 2.1.
>
>There's some kind of patch (you should even be able to do it from your 
>setup.py) you can do to distutils to make it always run ranlib, but you 
>can also just ranlib build/temp*/*.a and then start the build again and 
>it should work.
>
>*NOBODY* should be using pre-2.3 Python on Darwin, though.
>
>-bob
..... I suppose that's Zope related. I seem to remember they were on
2.1.
-- 
Robin Becker



More information about the Distutils-SIG mailing list